Page MenuHomeFreeBSD

arm64: efi: Map memory IO region as device
ClosedPublic

Authored by manu on May 22 2019, 5:08 AM.

Details

Reviewers
andrew
Group Reviewers
arm64
Summary

Sponsored by: Ampere Computing, LLC

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

manu created this revision.May 22 2019, 5:08 AM
andrew accepted this revision.May 22 2019, 12:03 PM
This revision is now accepted and ready to land.May 22 2019, 12:03 PM
andrew requested changes to this revision.May 22 2019, 12:19 PM

Having thought about it more I'm not sure this is correct. I think we should make the default case VM_MEMATTR_DEVICE. EFI_MD_ATTR_WC Is also wrong as it should be VM_MEMATTR_UNCACHEABLE so should be fixed at some stage.

This revision now requires changes to proceed.May 22 2019, 12:19 PM
manu updated this revision to Diff 57750.May 23 2019, 6:44 AM

Default to DEVICE and while here check is XP atttribute is set and set UXN/PXN if it is.

andrew accepted this revision.May 26 2019, 10:29 AM
This revision is now accepted and ready to land.May 26 2019, 10:29 AM
manu closed this revision.Jul 2 2019, 10:12 AM

Commited as r349588